<style>
  #home-featured-items .featured-item:nth-child(n+2) { padding-top: 30px }
  #home-featured-items .featured-item.col-sm-2.one-fifth { width: 20% }
  #home-featured-items .featured-item a { display: block }
  #home-featured-items .featured-item a img { display: block; height: auto; width: 100% }
</style>
{% if section.blocks.size > 0 %}
  {% assign item_class = 'col-sm-3' %}
  {% case section.settings.items_per_row %}
    {% when '2' %}
      {% assign item_class = 'col-sm-6' %}
    {% when '3' %}
      {% assign item_class = 'col-sm-4' %}
    {% when '5' %}
      {% assign item_class = 'col-sm-2 one-fifth' %}
    {% when '6' %}
      {% assign item_class = 'col-sm-2' %}
  {% endcase %}
  {% assign item_class_full_width = 'col-sm-12' %}
<div id="{{ section.id }}" class="row">
  {% if section.settings.title != blank %}
  <div class="col-sm-12">
    <h3 class="section-heading align-center">{{ section.settings.title }}</h3>
  </div>
  {% endif %}
  {% for block in section.blocks %}
  <div class="featured-item {% if block.settings.is_full_width == true %}{{ item_class_full_width }}{% else %}{{ item_class }}{% endif %}" {{ block.shopify_attributes }}>
    <a href="{{ block.settings.url }}">
      <img src="{{ block.settings.image | img_url: 'master' }}" alt="{{ block.settings.title }}" />
      {% if block.settings.title != blank %}
      <span class="title">{{ block.settings.title }}</span>
      {% endif %}
    </a>
  </div><!-- .icon-bucket-item -->
  {% endfor %}
</div>
{% endif %}

{% schema %}
  {
    "name": "Featured Items",
    "settings": [
      {
        "type": "text",
        "id": "title",
        "label": "Title"
      },
      {
        "type": "select",
        "id": "items_per_row",
        "label": "Items per row",
        "options": [
          {
            "label": "Two",
            "value": "2"
          },
          {
            "label": "Three",
            "value": "3"
          },
          {
            "label": "Four",
            "value": "4"
          },
          {
            "label": "Five",
            "value": "5"
          },
          {
            "label": "Six",
            "value": "6"
          }
        ],
        "default": "4"
      }
    ],
    "blocks": [
      {
        "type": "item",
        "name": "Item",
        "settings": [
          {
            "type": "image_picker",
            "id": "image",
            "label": "Image"
          },
          {
            "type": "text",
            "id": "title",
            "label": "Title"
          },
          {
            "type": "url",
            "id": "url",
            "label": "URL"
          },
          {
            "type": "checkbox",
            "id": "is_full_width",
            "label": "Make full width"
          }
        ]
      }
    ]
  }
{% endschema %}

{% stylesheet %}
{% endstylesheet %}

{% javascript %}
{% endjavascript %}
